{
  programs.tiny = {
    enable = true;
    settings = {
      servers = [
        {
          addr = "irc.libera.chat";
          port = 6697;
          tls = true;
          realname = "jolheiser";
          nicks = ["jolheiser"];
          alias = "LiberaChat";
          join = ["#gitea" "#gitea-devel"];
          sasl = {
            username = "jolheiser";
            password = {
              command = "cat /run/agenix/irc-pw";
            };
          };
        }
      ];
      defaults = {
        nicks = ["jolheiser"];
        realname = "jolheiser";
      };
      key_map = {
        alt_left = "tab_prev";
        alt_right = "tab_next";
      };
    };
  };
}
